Page MenuHomePhabricator

Add monolingual language code WLS (Wallisian)
Closed, ResolvedPublic

Description

Please add the language code wls to the list of language codes supported for monolingual text values.

English name : Wallisian (Wikidata: Q36979), native name : ''faka'uvea'', uses latin alphabet

Usage example: Wallisian is used by 20 000+ people in Wallis island and in New Caledonia. The language code is already in use on Wikipedia, but not on Wikidata neither on Wikimedia Commons, where it would be useful (native names of institutions, translations and description of items...). There is a also a Wikipedia incubator in Wallisian. I speak a little Wallisian and I plan on using it on Wikidata and Wikimedia Commons.

Thank you !

Event Timeline

Skimel created this task.Nov 28 2019, 1:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2019, 1:33 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 28 2019, 2:14 PM

No problems, OK from langcom.

Mbch331 claimed this task.Nov 28 2019, 8:54 PM

Change 553853 had a related patch set uploaded (by Mbch331; owner: Mbch331):
[mediawiki/extensions/Wikibase@master] Added monolingual code wls

https://gerrit.wikimedia.org/r/553853

Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Dec 1 2019, 6:15 PM

Change 553853 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Added monolingual code wls

https://gerrit.wikimedia.org/r/553853

Change 554086 had a related patch set uploaded (by Raimond Spekking; owner: Raimond Spekking):
[mediawiki/extensions/cldr@master] Add wls, used by Wikidata

https://gerrit.wikimedia.org/r/554086

Addshore added a subscriber: Addshore.

I can add things in wls on beta wikidata :)

https://wikidata.beta.wmflabs.org/w/index.php?title=Q545962&diff=1161821&oldid=1161820

Not resolving this ticket for now as there is still the above cldr patch open too

Change 554086 merged by jenkins-bot:
[mediawiki/extensions/cldr@master] Add wls, used by Wikidata

https://gerrit.wikimedia.org/r/554086

Addshore closed this task as Resolved.Jan 14 2020, 10:49 AM

Hello, thanks for closing this task, but unfortunately I cannot add wallisian as a language on Wikidata properties (such as Q45025080 "native label"). Can you fix this ? thank you :)

Hello, thanks for closing this task, but unfortunately I cannot add wallisian as a language on Wikidata properties (such as Q45025080 "native label"). Can you fix this ? thank you :)

It does work: https://www.wikidata.org/w/index.php?title=Q4115189&diff=1101590133&oldid=1101239291
The suggestor doesn't show the language, but if you fill in wls you can add a claim with Wallisian as a language.

Alright, I need to type wls and not Wallisian... thanks for the answer :)